--
-- autor: xXx (Ziuta)
-- data: 03.05.2013
--
-- Please include the author for editing.
--

local hud = Utils.getFilename(g_currentModDirectory .. "oatHud.png");
FruitUtil.registerFruitType("oat", g_i18n:getText("oat"), true, true, false, 0, 4, 6, 8, false, 0.4, 0.8, 0.02, false, hud, {0.8, 0.8, 0.2, 0.4})

local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
    if origSowingMachineLoad ~= nil then
        origSowingMachineLoad(self, xmlFile);
    end;
 
    self.seeds = {};
    local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
            i = i + 1;
        end;
    end;
end;